package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFJD0Response {

    @Parameter(name = "APPLICANT")
    String applicant();

    @Parameter(name = "APPLICANTGROUP")
    String applicantgroup();

    @Parameter(name = "ATTRIBUTE1")
    String attribute1();

    @Parameter(name = "ATTRIBUTE10")
    String attribute10();

    @Parameter(name = "ATTRIBUTE11")
    String attribute11();

    @Parameter(name = "ATTRIBUTE12")
    String attribute12();

    @Parameter(name = "ATTRIBUTE13")
    String attribute13();

    @Parameter(name = "ATTRIBUTE14")
    String attribute14();

    @Parameter(name = "ATTRIBUTE15")
    String attribute15();

    @Parameter(name = "ATTRIBUTE16")
    String attribute16();

    @Parameter(name = "ATTRIBUTE17")
    String attribute17();

    @Parameter(name = "ATTRIBUTE18")
    String attribute18();

    @Parameter(name = "ATTRIBUTE19")
    String attribute19();

    @Parameter(name = "ATTRIBUTE2")
    String attribute2();

    @Parameter(name = "ATTRIBUTE20")
    String attribute20();

    @Parameter(name = "ATTRIBUTE3")
    String attribute3();

    @Parameter(name = "ATTRIBUTE4")
    String attribute4();

    @Parameter(name = "ATTRIBUTE5")
    String attribute5();

    @Parameter(name = "ATTRIBUTE6")
    String attribute6();

    @Parameter(name = "ATTRIBUTE7")
    String attribute7();

    @Parameter(name = "ATTRIBUTE8")
    String attribute8();

    @Parameter(name = "ATTRIBUTE9")
    String attribute9();

    @Parameter(name = "AUTOMATPROCESSINGTIME")
    Long automatprocessingtime();

    @Parameter(name = "BIRTHNUMBER")
    String birthnumber();

    @Parameter(name = "BRANCHID")
    String branchid();

    @Parameter(name = "BUSSTATE")
    String busstate();

    @Parameter(name = "CALCULATEDWAKEUPTIME")
    java.util.Date calculatedwakeuptime();

    @Parameter(name = "CLIENTID")
    String clientid();

    @Parameter(name = "CLIENTIDTYPE")
    String clientidtype();

    @Parameter(name = "COMPANY")
    String company();

    @Parameter(name = "CONTAINMENT_CTX_ID")
    String containmentCtxId();

    @Parameter(name = "COUNTOFOCCURENCES")
    Long countofoccurences();

    @Parameter(name = "COUNTOFSUBTASKS")
    Long countofsubtasks();

    @Parameter(name = "DATEFORMANUALNOTIFICATION")
    java.util.Date dateformanualnotification();

    @Parameter(name = "DAYOFWAKEUP")
    String dayofwakeup();

    @Parameter(name = "EMAILOFRECEIVER")
    String emailofreceiver();

    @Parameter(name = "EMAILOFSENDER")
    String emailofsender();

    @Parameter(name = "EMAILSUBJECT")
    String emailsubject();

    @Parameter(name = "ENDDATEOFRECURRENCE")
    java.util.Date enddateofrecurrence();

    @Parameter(name = "ERRORFLAG")
    Boolean errorflag();

    @Parameter(name = "ERRORMESSAGE")
    String errormessage();

    @Parameter(name = "ERRORMWFFLAG")
    Boolean errormwfflag();

    @Parameter(name = "EXPIRES")
    java.util.Date expires();

    @Parameter(name = "FIRST_ACTIVATED")
    java.util.Date firstActivated();

    @Parameter(name = "HIDEFROMCLIENT")
    Boolean hidefromclient();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "IS_ESCALATED")
    Boolean isEscalated();

    @Parameter(name = "KINDOFTASK")
    String kindoftask();

    @Parameter(name = "LAST_MODIFIED")
    java.util.Date lastModified();

    @Parameter(name = "LAST_STATE_CHANGE")
    java.util.Date lastStateChange();

    @Parameter(name = "LEVEL")
    Long level();

    @Parameter(name = "MANUALPROCESSINGTIME")
    Long manualprocessingtime();

    @Parameter(name = "NAME")
    String name();

    @Parameter(name = "OBJECTID")
    String objectid();

    @Parameter(name = "OBJECTIDTYPE")
    String objectidtype();

    @Parameter(name = "OUTERSOLVER")
    String outersolver();

    @Parameter(name = "OWNER")
    String owner();

    @Parameter(name = "PARENTID")
    String parentid();

    @Parameter(name = "PRIORITY")
    String priority();

    @Parameter(name = "PROCESSINGDATE")
    java.util.Date processingdate();

    @Parameter(name = "PROCESSINGDAYSLIMIT")
    Long processingdayslimit();

    @Parameter(name = "PROCESSINGTIMELIMIT")
    Long processingtimelimit();

    @Parameter(name = "RECURRENCEPATTERN")
    String recurrencepattern();

    @Parameter(name = "REPEATCOUNTER")
    Long repeatcounter();

    @Parameter(name = "REPEATINGTASK")
    Boolean repeatingtask();

    @Parameter(name = "REPEATINGTASKID")
    String repeatingtaskid();

    @Parameter(name = "REQUESTEDDATE")
    java.util.Date requesteddate();

    @Parameter(name = "REQUESTEDDAYSLIMIT")
    Long requesteddayslimit();

    @Parameter(name = "RESOLVER")
    String resolver();

    @Parameter(name = "RESOLVERSGROUP")
    String resolversgroup();

    @Parameter(name = "RESULTINGDATE")
    java.util.Date resultingdate();

    @Parameter(name = "ROOTPARENTID")
    String rootparentid();

    @Parameter(name = "SEGMENT")
    String segment();

    @Parameter(name = "SENDEMAIL")
    Long sendemail();

    @Parameter(name = "SEQUENTIALNUMBER")
    Long sequentialnumber();

    @Parameter(name = "SETESCALATION")
    Boolean setescalation();

    @Parameter(name = "SETREQUESTEDDATEFORESCALATION")
    Boolean setrequesteddateforescalation();

    @Parameter(name = "SOURCESYSTEM")
    String sourcesystem();

    @Parameter(name = "STARTDATEOFRECURRENCE")
    java.util.Date startdateofrecurrence();

    @Parameter(name = "STATE")
    String state();

    @Parameter(name = "SUSPENDED")
    Boolean suspended();

    @Parameter(name = "TASKCATEGORY")
    String taskcategory();

    @Parameter(name = "TASKDESCRIPTION")
    String taskdescription();

    @Parameter(name = "TASKENDDATE")
    java.util.Date taskenddate();

    @Parameter(name = "TASKID")
    String taskid();

    @Parameter(name = "TASKNAME")
    String taskname();

    @Parameter(name = "TASKSOLUTION")
    String tasksolution();

    @Parameter(name = "TASKSTARTDATE")
    java.util.Date taskstartdate();

    @Parameter(name = "TASKSUBCATEGORY")
    String tasksubcategory();

    @Parameter(name = "TASKTYPE")
    String tasktype();

    @Parameter(name = "TKIID")
    String tkiid();

    @Parameter(name = "TMSGROUPID")
    String tmsgroupid();

    @Parameter(name = "USERFLAG")
    Long userflag();

    @Parameter(name = "USERSCHOICE")
    String userschoice();

    @Parameter(name = "VERIFYINGTIME")
    Long verifyingtime();

    @Parameter(name = "VERIFYINGUSER")
    String verifyinguser();

    @Parameter(name = "WAKEUPTIME")
    java.util.Date wakeuptime();

    @Parameter(name = "WFID")
    String wfid();

    @Parameter(name = "WORKINGTIMEFROM")
    Long workingtimefrom();

    @Parameter(name = "WORKINGTIMETO")
    Long workingtimeto();

}